| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.Matrix4f Class Reference
Inheritance diagram for iolink.iolink.Matrix4f:

## Public Member Functions
| __init__ (self)
| __eq__ (self, other)
| __ne__ (self, other)
| at (self, row, column)
| __call__ (self, row, column)
| set_at (self, row, column, value)
| transpose_in_place (self)
| transpose (self)
| inverse (self)
| to_string (self)
| __neg__ (self)
| __iadd__ (self, m)
| __isub__ (self, m)
| __add__ (self, m)
| __sub__ (self, m)
| __imul__ (self, value)
| __itruediv__ (self, *args)
| __truediv__ (self, *args)
| __mul__ (self, *args)
| __repr__ (self)

## Static Public Member Functions
| identity ()
| uniform (value)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    An arithmetic square matrix.

    Do not use this class directly, only uses its aliases.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.Matrix4f.__init__ | ( |  | self | ) |

        Default constructor.
        Object will have indeterminate values.

## Member Function Documentation

## ◆ __call__()

iolink.iolink.Matrix4f.__call__ | ( |  | self,
|  |  | row,
|  |  | column
| ) |  |

        Access an element of the matrix.

        :type column: int
        :param column: The column of the element
        :type row: int
        :param row: The row of the element

## ◆ at()

iolink.iolink.Matrix4f.at | ( |  | self,
|  |  | row,
|  |  | column
| ) |  |

        Access an element of the matrix.

        :type column: int
        :param column: The column of the element
        :type row: int
        :param row: The row of the element

## ◆ identity()

iolink.iolink.Matrix4f.identity | ( |  | ) |
| static

    Return an identity matrix.

## ◆ inverse()

iolink.iolink.Matrix4f.inverse | ( |  | self | ) |

        Return the inverse matrix.

        Warning: Calling this method on a non-invertable matrix will cause
                 undefined behaviour.

## ◆ set_at()

iolink.iolink.Matrix4f.set_at | ( |  | self,
|  |  | row,
|  |  | column,
|  |  | value
| ) |  |

        Set an element of the matrix.

        :type column: int
        :param column: The column of the element
        :type row: int
        :param row: The row of the element
        :type value: float
        :param value: The value to assign to the element

## ◆ to_string()

iolink.iolink.Matrix4f.to_string | ( |  | self | ) |

    Return a string representation of the matrix.

## ◆ transpose()

iolink.iolink.Matrix4f.transpose | ( |  | self | ) |

    Return the transposed matrix.

## ◆ transpose_in_place()

iolink.iolink.Matrix4f.transpose_in_place | ( |  | self | ) |

    Transpose the matrix in place.

## ◆ uniform()

iolink.iolink.Matrix4f.uniform | ( |  | value | ) |
| static

        Initialize an uniform matrix with an unique value.

        :type value: float
        :param value: The value to assign to each element of the matrix

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py